Subject: [bug#52371] [PATCH 0/2] Update tdlib and emacs-telega.

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 09 Dec 2021 20:39:36 +0100

Hi,

note to self: I'm not trying to build tdlib again.  Last build was not
finished after almost a day and power went out so I don't even know
whether it succeeded after I went to work or not.

Anyway,

> +-(defcustom telega-server-command "telega-server"
> ++(defcustom telega-server-command "@TELEGA_SERVER_BIN@"
[...]
> -             (substitute* "telega-server.el"
> +             (substitute* "telega-customize.el"
>                 (("@TELEGA_SERVER_BIN@")
>                  (string-append (assoc-ref inputs "emacs-telega-
> server")
>                                 "/bin/telega-server")))
> 
I know this has existed before your patch, but I'm pretty sure we have
emacs-based routines that could make this substitution in one go.  If
you're interested in further janitor work, you could do this either on
master, or you could do something in terms of (search-input-file) on c-
u-f.

Other than that LGTM on a quick glance.
Cheers